﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.573
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace RastreamentoWebService
{
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;


    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class FamiliaGNCDataset : DataSet
    {

        private VOLUME_TAG_MAE_FILHODataTable tableVOLUME_TAG_MAE_FILHO;

        public FamiliaGNCDataset()
        {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        protected FamiliaGNCDataset(SerializationInfo info, StreamingContext context)
        {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null))
            {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["VOLUME_TAG_MAE_FILHO"] != null))
                {
                    this.Tables.Add(new VOLUME_TAG_MAE_FILHODataTable(ds.Tables["VOLUME_TAG_MAE_FILHO"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else
            {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public VOLUME_TAG_MAE_FILHODataTable VOLUME_TAG_MAE_FILHO
        {
            get
            {
                return this.tableVOLUME_TAG_MAE_FILHO;
            }
        }

        public override DataSet Clone()
        {
            FamiliaGNCDataset cln = ((FamiliaGNCDataset)(base.Clone()));
            cln.InitVars();
            return cln;
        }

        protected override bool ShouldSerializeTables()
        {
            return false;
        }

        protected override bool ShouldSerializeRelations()
        {
            return false;
        }

        protected override void ReadXmlSerializable(XmlReader reader)
        {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["VOLUME_TAG_MAE_FILHO"] != null))
            {
                this.Tables.Add(new VOLUME_TAG_MAE_FILHODataTable(ds.Tables["VOLUME_TAG_MAE_FILHO"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }

        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable()
        {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }

        internal void InitVars()
        {
            this.tableVOLUME_TAG_MAE_FILHO = ((VOLUME_TAG_MAE_FILHODataTable)(this.Tables["VOLUME_TAG_MAE_FILHO"]));
            if ((this.tableVOLUME_TAG_MAE_FILHO != null))
            {
                this.tableVOLUME_TAG_MAE_FILHO.InitVars();
            }
        }

        private void InitClass()
        {
            this.DataSetName = "FamiliaGNCDataset";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/FamiliaGNCDataset.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tableVOLUME_TAG_MAE_FILHO = new VOLUME_TAG_MAE_FILHODataTable();
            this.Tables.Add(this.tableVOLUME_TAG_MAE_FILHO);
        }

        private bool ShouldSerializeVOLUME_TAG_MAE_FILHO()
        {
            return false;
        }

        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e)
        {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove))
            {
                this.InitVars();
            }
        }

        public delegate void VOLUME_TAG_MAE_FILHORowChangeEventHandler(object sender, VOLUME_TAG_MAE_FILHORowChangeEvent e);

        [System.Diagnostics.DebuggerStepThrough()]
        public class VOLUME_TAG_MAE_FILHODataTable : DataTable, System.Collections.IEnumerable
        {

            private DataColumn columnTAG_CONSOLIDADO;

            private DataColumn columnTAG_FILHO;

            internal VOLUME_TAG_MAE_FILHODataTable() :
                    base("VOLUME_TAG_MAE_FILHO")
            {
                this.InitClass();
            }

            internal VOLUME_TAG_MAE_FILHODataTable(DataTable table) :
                    base(table.TableName)
            {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive))
                {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString()))
                {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace))
                {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }

            [System.ComponentModel.Browsable(false)]
            public int Count
            {
                get
                {
                    return this.Rows.Count;
                }
            }

            internal DataColumn TAG_CONSOLIDADOColumn
            {
                get
                {
                    return this.columnTAG_CONSOLIDADO;
                }
            }

            internal DataColumn TAG_FILHOColumn
            {
                get
                {
                    return this.columnTAG_FILHO;
                }
            }

            public VOLUME_TAG_MAE_FILHORow this[int index]
            {
                get
                {
                    return ((VOLUME_TAG_MAE_FILHORow)(this.Rows[index]));
                }
            }

            public event VOLUME_TAG_MAE_FILHORowChangeEventHandler VOLUME_TAG_MAE_FILHORowChanged;

            public event VOLUME_TAG_MAE_FILHORowChangeEventHandler VOLUME_TAG_MAE_FILHORowChanging;

            public event VOLUME_TAG_MAE_FILHORowChangeEventHandler VOLUME_TAG_MAE_FILHORowDeleted;

            public event VOLUME_TAG_MAE_FILHORowChangeEventHandler VOLUME_TAG_MAE_FILHORowDeleting;

            public void AddVOLUME_TAG_MAE_FILHORow(VOLUME_TAG_MAE_FILHORow row)
            {
                this.Rows.Add(row);
            }

            public VOLUME_TAG_MAE_FILHORow AddVOLUME_TAG_MAE_FILHORow(string TAG_CONSOLIDADO, string TAG_FILHO)
            {
                VOLUME_TAG_MAE_FILHORow rowVOLUME_TAG_MAE_FILHORow = ((VOLUME_TAG_MAE_FILHORow)(this.NewRow()));
                rowVOLUME_TAG_MAE_FILHORow.ItemArray = new object[] {
                        TAG_CONSOLIDADO,
                        TAG_FILHO};
                this.Rows.Add(rowVOLUME_TAG_MAE_FILHORow);
                return rowVOLUME_TAG_MAE_FILHORow;
            }

            public VOLUME_TAG_MAE_FILHORow FindByTAG_CONSOLIDADOTAG_FILHO(string TAG_CONSOLIDADO, string TAG_FILHO)
            {
                return ((VOLUME_TAG_MAE_FILHORow)(this.Rows.Find(new object[] {
                            TAG_CONSOLIDADO,
                            TAG_FILHO})));
            }

            public System.Collections.IEnumerator GetEnumerator()
            {
                return this.Rows.GetEnumerator();
            }

            public override DataTable Clone()
            {
                VOLUME_TAG_MAE_FILHODataTable cln = ((VOLUME_TAG_MAE_FILHODataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }

            protected override DataTable CreateInstance()
            {
                return new VOLUME_TAG_MAE_FILHODataTable();
            }

            internal void InitVars()
            {
                this.columnTAG_CONSOLIDADO = this.Columns["TAG_CONSOLIDADO"];
                this.columnTAG_FILHO = this.Columns["TAG_FILHO"];
            }

            private void InitClass()
            {
                this.columnTAG_CONSOLIDADO = new DataColumn("TAG_CONSOLIDADO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTAG_CONSOLIDADO);
                this.columnTAG_FILHO = new DataColumn("TAG_FILHO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTAG_FILHO);
                this.Constraints.Add(new UniqueConstraint("FamiliaGNCDatasetKey1", new DataColumn[] {
                                this.columnTAG_CONSOLIDADO,
                                this.columnTAG_FILHO}, true));
                this.columnTAG_CONSOLIDADO.AllowDBNull = false;
                this.columnTAG_FILHO.AllowDBNull = false;
            }

            public VOLUME_TAG_MAE_FILHORow NewVOLUME_TAG_MAE_FILHORow()
            {
                return ((VOLUME_TAG_MAE_FILHORow)(this.NewRow()));
            }

            protected override DataRow NewRowFromBuilder(DataRowBuilder builder)
            {
                return new VOLUME_TAG_MAE_FILHORow(builder);
            }

            protected override System.Type GetRowType()
            {
                return typeof(VOLUME_TAG_MAE_FILHORow);
            }

            protected override void OnRowChanged(DataRowChangeEventArgs e)
            {
                base.OnRowChanged(e);
                if ((this.VOLUME_TAG_MAE_FILHORowChanged != null))
                {
                    this.VOLUME_TAG_MAE_FILHORowChanged(this, new VOLUME_TAG_MAE_FILHORowChangeEvent(((VOLUME_TAG_MAE_FILHORow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowChanging(DataRowChangeEventArgs e)
            {
                base.OnRowChanging(e);
                if ((this.VOLUME_TAG_MAE_FILHORowChanging != null))
                {
                    this.VOLUME_TAG_MAE_FILHORowChanging(this, new VOLUME_TAG_MAE_FILHORowChangeEvent(((VOLUME_TAG_MAE_FILHORow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleted(DataRowChangeEventArgs e)
            {
                base.OnRowDeleted(e);
                if ((this.VOLUME_TAG_MAE_FILHORowDeleted != null))
                {
                    this.VOLUME_TAG_MAE_FILHORowDeleted(this, new VOLUME_TAG_MAE_FILHORowChangeEvent(((VOLUME_TAG_MAE_FILHORow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleting(DataRowChangeEventArgs e)
            {
                base.OnRowDeleting(e);
                if ((this.VOLUME_TAG_MAE_FILHORowDeleting != null))
                {
                    this.VOLUME_TAG_MAE_FILHORowDeleting(this, new VOLUME_TAG_MAE_FILHORowChangeEvent(((VOLUME_TAG_MAE_FILHORow)(e.Row)), e.Action));
                }
            }

            public void RemoveVOLUME_TAG_MAE_FILHORow(VOLUME_TAG_MAE_FILHORow row)
            {
                this.Rows.Remove(row);
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class VOLUME_TAG_MAE_FILHORow : DataRow
        {

            private VOLUME_TAG_MAE_FILHODataTable tableVOLUME_TAG_MAE_FILHO;

            internal VOLUME_TAG_MAE_FILHORow(DataRowBuilder rb) :
                    base(rb)
            {
                this.tableVOLUME_TAG_MAE_FILHO = ((VOLUME_TAG_MAE_FILHODataTable)(this.Table));
            }

            public string TAG_CONSOLIDADO
            {
                get
                {
                    return ((string)(this[this.tableVOLUME_TAG_MAE_FILHO.TAG_CONSOLIDADOColumn]));
                }
                set
                {
                    this[this.tableVOLUME_TAG_MAE_FILHO.TAG_CONSOLIDADOColumn] = value;
                }
            }

            public string TAG_FILHO
            {
                get
                {
                    return ((string)(this[this.tableVOLUME_TAG_MAE_FILHO.TAG_FILHOColumn]));
                }
                set
                {
                    this[this.tableVOLUME_TAG_MAE_FILHO.TAG_FILHOColumn] = value;
                }
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class VOLUME_TAG_MAE_FILHORowChangeEvent : EventArgs
        {

            private VOLUME_TAG_MAE_FILHORow eventRow;

            private DataRowAction eventAction;

            public VOLUME_TAG_MAE_FILHORowChangeEvent(VOLUME_TAG_MAE_FILHORow row, DataRowAction action)
            {
                this.eventRow = row;
                this.eventAction = action;
            }

            public VOLUME_TAG_MAE_FILHORow Row
            {
                get
                {
                    return this.eventRow;
                }
            }

            public DataRowAction Action
            {
                get
                {
                    return this.eventAction;
                }
            }
        }
    }
}
